Plugins don't work at all (Custom Build 54.20.6530.0)

Post here any issue you find
Post Reply
Darthagnon
Posts: 3
Joined: Tue Dec 18, 2018 8:59 am

Plugins don't work at all (Custom Build 54.20.6530.0)

Post by Darthagnon » Tue Dec 18, 2018 9:17 am

I was overjoyed to discover Advanced Chrome Custom Build (ACCB henceforth), merging newer chrome features and security into the old, pre-Material_v1 GUI. Unfortunately, Chrome/Chromium is unusable without an ad blocker, and 90% of the extensions I tried to use didn't work at all on Custom Build 54.20.6530.0, not even the recommended "Chrome UA Spoofer" extension. The problem may be broken down into 2 parts:

1) Installation of extensions - Upon attempting to install extensions, either from the Chrome Web Store or by dropping a CRX onto the Extensions page, ACCB looks like it freezes - it actually displays an invisible "Confirm installation of extension" dialog, which can be controlled and confirmed. The dialog being invisible is, however, a serious glitch, and less advanced users probably couldn't cope. (This problem can be worked around if you sign in with a Google account previously used on a Chrome installation with all the desired extensions installed legitimately) However, once the extensions are installed...

2) Using extensions - I tried Infinity New Tab, uBlock Origin, Adblock (from getadblock.com) and the user agent spoofer recommended on the homepage. All of these afaik should be compatible with Chromium 51 (not sure about 48, though). Only Infinity New Tab works; all the others have blank dropdowns and non-functional settings menus. Is there any solution to this problem? Or would it be a better bet for me to run vanilla Chrome 51 (last version before annoying Google API prompts, with good old GUI)?

admin
Site Admin
Posts: 185
Joined: Wed Feb 06, 2013 7:47 pm

Re: Plugins don't work at all (Custom Build 54.20.6530.0)

Post by admin » Mon Dec 31, 2018 12:14 am

Hello welcome to the forum, the extensions stop working because developers update the code to support newer javascript and chrome UI functions, I haven't been able to make newer chrome compatible with XP.
If you have windows 7 or higher you can use Advanced Chrome 69.0.3445.0

Darthagnon
Posts: 3
Joined: Tue Dec 18, 2018 8:59 am

Re: Plugins don't work at all (Custom Build 54.20.6530.0)

Post by Darthagnon » Wed Jan 02, 2019 5:01 pm

Thank you for the reply, and for your hard work on Advanced Chrome!
Guess it's too bad about the extensions... I like older versions of Chrome, because the Material Design of v55 and Material Refresh UI of 69 are both kinda ugly, and later versions of Chrome feel bloated and slow. My main browser is currently Opera, and I sometimes use Chromium v54, where I can still have the good, old UI.

PS Sorry if I double posted this topic somewhere; when I tried to submit the thread, nothing appeared.
Live long and prosper!

Post Reply